import bb.cascades 1.3

Sheet {
    id: settingsSheet    
    Page {        
        Container {                   
            layout: DockLayout {}            
            Container {
                
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Top
                
                Header {
                    title: qsTr("Settings") + Retranslate.onLocaleOrLanguageChanged
                }
                ToggleLabel {
                    id: togLabel
                    text: "Dark Theme"
                    state: _app.getValueFor("dark", "true");
                    onSelectionChanged: {
                        console.log("Changing option: " + newState + "|" + state);
                        _app.saveValueFor("dark", newState);
                        
                        if (newState) {
                            Application.themeSupport.setVisualStyle(VisualStyle.Dark);
                        }       
                        else {
                            Application.themeSupport.setVisualStyle(VisualStyle.Bright);
                        }
                        
                        _app.onInvokeRefresh();
                    }
                }
                DropDown {
                    title: qsTr("Font Size") + Retranslate.onLocaleOrLanguageChanged
                    selectedIndex: parseInt(_app.getValueFor("fontSize", "2"))
                    onSelectedIndexChanged: {                
                        console.log("Selection " + selectedIndex.toString());
                        _app.saveValueFor("fontSize", selectedIndex.toString());
                        _app.onInvokeRefresh();
                    }
                    Option {
                        text: qsTr("Extra Small") + Retranslate.onLocaleOrLanguageChanged
                        value: FontSize.XSmall
                    }
                    Option {
                        text: qsTr("Small") + Retranslate.onLocaleOrLanguageChanged
                        value: FontSize.Small
                    }
                    Option {
                        text: qsTr("Medium") + Retranslate.onLocaleOrLanguageChanged
                        value: FontSize.Medium
                    }
                    Option {
                        text: qsTr("Large") + Retranslate.onLocaleOrLanguageChanged
                        value: FontSize.Large
                    }
                    Option {
                        text: qsTr("Extra Large") + Retranslate.onLocaleOrLanguageChanged
                        value: FontSize.XLarge
                    }
                }
            }
            
            Container {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Bottom
                
                Button {
                    
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Bottom
                    text: qsTr("Close") + Retranslate.onLocaleOrLanguageChanged
                    
                    onClicked: {
                        settingsSheet.close();
                    }
                }
            }
        }
    }
}
