import bb.cascades 1.3
import bb.system 1.0

Sheet {
    id: tutorialSheet    
    
    Page {
        Container {
            layout: DockLayout {}            
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Fill

            Container {
                verticalAlignment: VerticalAlignment.Fill
                horizontalAlignment: HorizontalAlignment.Fill
                
                layout: DockLayout {                
                }
                
                ImageView {
                    imageSource: "asset:///img/tutorial/tutorial.png"
                    verticalAlignment: VerticalAlignment.Fill
                    horizontalAlignment: HorizontalAlignment.Fill
                    scalingMethod: ScalingMethod.AspectFit
                    loadEffect: ImageViewLoadEffect.FadeZoom
                    margin.bottomOffset: 25.0
                    margin.leftOffset: 50.0
                    margin.rightOffset: 50.0
                    margin.topOffset: 75.0
                }
            }
            Container {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Top
                
                Button {                    
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Bottom
                    text: qsTr("Got it!") + Retranslate.onLocaleOrLanguageChanged
                    
                    onClicked: {
                        tutorialSheet.close();
                    }
                    margin.bottomOffset: 10.0
                    
                    onTouchEnter: {
                        console.log("Touch in");
                        swipe = true;
                    }
                    onTouchExit: {
                        console.log("Touch out");
                        toast.body = qsTr("Success!  Now you're ready to check the menu in the application.")
                        toast.show();
                        swipe = false;
                    }
                }
            }

        }
        attachedObjects: [
            ComponentDefinition {
                id: settingsSheet
                source: "SettingsPage.qml"
                objectName: "objSettingsSheet"
            }
            ,
            ComponentDefinition {
                id: helpSheet
                source: "HelpPage.qml"
                objectName: "objHelpSheet"
            }
            ,
            SystemToast {
                id: toast
            }
        ]
        actions : [
            ActionItem {
                title: qsTr("File Options") + Retranslate.onLocaleOrLanguageChanged
                imageSource: "/img/common/ico/ico_knownbug.png"
                ActionBar.placement: ActionBarPlacement.InOverflow
                shortcuts: [
                    Shortcut {
                        key: "K"
                    },
                    Shortcut {
                        key: "k"
                    }
                ]
                onTriggered: {
                    toast.body = qsTr("Nice!  Now try this in the real application.") + Retranslate.onLocaleOrLanguageChanged;
                    toast.show();
                }            
            }            
        ] 
    
    }
}